Skip to content

Retrieve collection of notes.

Request

Use this endpoint to retrieve a collection of notes.

Security
oauth_auth_code(Required scopes: read:notes)
Query
pageinteger

The collection page number

Default:1
itemsPerPageinteger, [ 0 .. 100 ]

The number of items per page

Default:20
groupsstring

Note groups

uuidstring

Note uuid

typestring

Note type

patientstring

Note patient

audiostring

Note audio

createdAtstring

Note createdAt

updatedAtstring

Note updatedAt

exists[meeting]string

Note exists[meeting]

order[uuid]string

Note order[uuid]

order[type]string

Note order[type]

order[createdAt]string

Note order[createdAt]

order[updatedAt]string

Note order[updatedAt]

curl -i -X GET \
  'https://api.askara.ai/notes?page=1&itemsPerPage=20&groups=string&uuid=string&type=string&patient=string&audio=string&createdAt=string&updatedAt=string&exists%5Bmeeting%5D=string&order%5Buuid%5D=string&order%5Btype%5D=string&order%5BcreatedAt%5D=string&order%5BupdatedAt%5D=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Note collection

Body
Array [
uuidstring, (uuid)
contentstring or null

Note content.

typestring

Note type.

Enum:"consultation_summary""meeting_summary""ortho_summary"
patientPatient-note.list_patient.list (object) or null
Any of:

Associated patient.

createdAtstring, (date-time)

Note creation date.

updatedAtstring, (date-time)

Note last update date.

validatedAtstring or null, (date-time)read-only

Date the practitioner explicitly validated the note as-is, without editing its content.

contentModifiedbooleanread-only

Whether the note content was manually edited after AI generation.

]
Response
[ { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "content": "string", "type": "consultation_summary", "patient": { … }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "validatedAt": "2019-08-24T14:15:22Z", "contentModified": true } ]